# RoR2APWF
aka "RoR2 Adventure Pack with Friends"! A modpack for small group of friends.

# Installation
To install, see instructions below.

### Windows

1. Click "Manual Download" on Thunderstore.
2. Inside the downloaded .zip file. Run the "r2modman Setup X.X.X.exe" (where X.X.X is the current version).
3. Follow the steps in the installer.

### Linux
1. Click "Manual Download" on Thunderstore.
2. Inside the download .zip file there is an AppImage release.

<b>If you need additional help, visit https://thunderstore.io/package/ebkr/r2modman/ for more information on how to download modpacks.</b>

# General Information
Here's a breakdown of what to expect in this modpack.

## Additional Characters
Some characters have had their original skins disabled and replaced with another mod to look more vanilla, but can be re-enabled from "ContentDisabler.cfg" if you prefer those instead. Alternatively, you can disable the Content Disabler mod altogether.

Various skins of vanilla characters have also been added to this modpack.

* <b>Spearman</b>
* <b>Deputy</b>
* <b>Enforcer</b>
* <b>Paladin</b>
* <b>Bomber</b>
* <b>Rocket</b>
* <b>Executioner</b>: Added from Starstorm2
* <b>Nemesis Commando</b>: Added from Starstorm2
* <b>Shigaraki</b>: "Hopoo Space Shigaraki" skin is enabled. Original skins disabled.
* <b>Sett</b>: "DxD Balance Breaker" skin is enabled. Original skins disabled.

## Additional Bosses (or Changes)
* Aurelionite: The fight has changed, as per "GoldenCoastPlus".
* Direseeker: Replaces the legendary chest in Abyssal Depths. To summon, activate the switches located around the map.
* Umbral Mythrix: For an even greater grand finale.
* Ancient Wisp: Spawns in Sky Meadow and Forgotten Haven.
* Providence: Added from GOTCE.
* Void Barnacle: Survivors of the Void DLC is required to access the portal to this super boss.

## Additional Stages
* Bulwarks Haunt
* Fogbound Lagoon
* Dry Basin
* Forgotten Haven
* Slumbering Satellite

## QoL Additions
* Quick view of chat while opening scoreboard.
* Immunity is now displayed yellow.
* RoR2 won't steal your mouse while ALT+TABBED during load up.
* Run History is less wonky.
* Exchanged items are now printed in chat.
* See the real cause of your death (and hate them forever).
* Scanner discoveries are now printed in chat upon equipment use.
* Discord Rich Presence added.
* Empty chests will now mysteriously disappear... forever!
* More of that amazing RoR OST!
* Save your progress to play at another time... and lose it when you die.
* Friends can rejoin the party and keep their items if they lose connection.
* Many other awesome things!

## Config Tweaks
* BubbetsItems: All items and equipment are disabled.
* Thalassophobia: Legendary, Lunar and Void items are enabled. Elite mobs are enabled. Cracked Orb and Snowglobe are also enabled.
* Aetherium: Artifacts disabled. Buff braziers disabled.
* Sett (Character): Voice lines and skins are disabled.
* Ancient Wisp (Boss): Spawns exclusively in Sky Meadow.
* Drop-In Multiplayer: Added for players that disconnect during runs so they can rejoin the fight with their items still in-tact. Player respawns are disabled. Joining as the "Heretic" is also disabled.
* GOTCE: Majority of items are disabled. All enemies are disabled.
* Content Disabler: Used to enforce vanilla-styled skins. Doesn't do anything else. (See "Additional Characters" for more info)

# FAQ

1. Why are the original skins for Sett and Shigaraki disabled? The characters are cool, but I'm not too big on characters that look out of place... and, unfortunately, their OG skins look very out of place in this universe.
2. Why is this modpack here? It's easy for friends to grab without me having to provide individual mod links for them to download.
3. Why did you add mods that contain lots of items then disable most of them? This modpack was designed around the idea of an enhanced vanilla experience. Frankly, we don't want anything so overpowered that it sucks the fun right out of the game.

# Known Bugs

1. Chat isn't working in CHARACTER SELECT. Not sure why this is happening, I'll figure it out.

# Changelog
### v1.2.0
#### Blighted Elites
* Added to modpack.

#### Released from the Void
* Added to modpack.

#### Sett
Some changes because he's pretty strong in the early stages with his ability to hulk-smash bosses with low cooldowns and large health pool.
[ Base Stats ]
* Base Health: 180 > 120
* Base Movement Speed: 8 > 7
* Damage Growth: 2.8 > 2.4

[ Face Breaker ]
* Damage: 3.8 > 3.4
* Pull Radius: 20 > 18
* Cooldown: 5 > 8

[ The Show Stopper]
* Slam Force: 500 > 450
* Cooldown: 7 > 16

[ Haymaker ]
* Cooldown: 10 > 12

#### Ancient Wisp
* Added to Forgotten Haven.
### v1.1.0
* Removed RGBHighlight and BetterUI. (Forgot to remove on release... oops!)
* Added some extra info to README as a general overview of what to expect from the modpack.
### v1.0.0
* Initial release.
